WebSite X5Help Center

 
К У
К У
User

Совместимость последних версий некоторых ПЛАТНЫХ!!! объектов, тол  ru

Автор: К У
Просмотрено 86, Подписчики 1, Размещенный 0  

Вопрос к разработчикам - объясните, на каком основании вы сделали совместимость последних версий некоторых ПЛАТНЫХ!!! объектов, только с самой новой версией WebSite X5? То есть заплатив деньги за платные объекты, придется еще и принудительно версию программы WebSite X5 обновлять за деньги что бы просто воспользоваться уже купленными платными объектами, либо пользоваться старыми версия платных объектов хотя за них уплачены деньги?

Размещено
8 Ответы
Aleksej H.
Aleksej H.
Moderator
Лучший пользователь месяца EN

Здравствуйте. Я не разработчик, но хотел бы высказать своё мнение.

Если в лицензионном соглашении при покупки объектов не написано, что Вы получаете право бессрочного обновления программного обеспечения, то тогда описанная Вами ситуация весьма распространена. Так делают Microsoft, Google, Norton, Касперский и многие другие. У меня есть старые ПК (XP и Vista). Всё программное обеспечение лицензионное. Включая операционную систему и антивирус. Но я не могу использовать новую версию Касперского 2018, так как для неё минимум нужна Windows 7. За антивирус Касперского я плачу, но пользуюсь старыми версиями антивируса. Так как для новых мне нужно покупать и новую Windows.

Поддержка разных версий программ - это накладно. Поддержка совместимости расширений (объектов, шаблонов) с разными версиями программ - тоже накладно. Разработчикам выгоднее сосредоточиться на последней версии и поддерживать её, включая расширения.

С точки зрения клиентов - это не правильно. Хотите новых версий - платите снова и снова. Было бы лучше заплатить один раз и получать все обновления без ограничения срока.

Читать больше
Размещено От Aleksej H.
К У
К У
User
Автор
Aleksej H.
Поддержка разных версий программ - это накладно. Поддержка совместимости расширений (объектов, шаблонов) с разными версиями программ - тоже накладно. Разработчикам выгоднее сосредоточиться на последней версии и поддерживать её, включая расширения. С точки зрения клиентов - это не правильно. Хотите новых версий - платите снова и снова. Было бы лучше заплатить один раз и получать все обновления без ограничения срока.


Поддерживать старые версии объектов разработчикам не всегда просто, но речь идет не о какой-то древней версии WebSite X5, а о той, которая вышла буквально в ноябре 2018 года, то есть даже полгода еще не прошло, а они уже обрубили поддержку новых версий платных объектов, ладно бы бесплатных, но платных!!!?, за что тогда уплачены деньги за платные объекты если они менее чем через полгода уже не обновляются к версии WebSite X5 вышедшей не так давно?

Читать больше
Размещено От К У
Aleksey K.
Aleksey K.
User

мдаа как то странно , может разработчики опять ошиблись... у меня конкретно этого объекта нет поэтому не проверить на 16.3.1 но поддержка версии на момент покупки должна быть !!! не знаю как это со стороны законности но на мой взгляд тут уже нарушение прав покупателя (в случае несовместимости)..

Читать больше
Размещено От Aleksey K.
К У
К У
User
Автор
Aleksey K.
мдаа как то странно , может разработчики опять ошиблись... у меня конкретно этого объекта нет поэтому не проверить на 16.3.1 но поддержка версии на момент покупки должна быть !!! не знаю как это со стороны законности но на мой взгляд тут уже нарушение прав покупателя (в случае несовместимости)..


У меня установлена версия WebSite X5 Professional 17.1.2, в ней 10-ая версия этого платного объекта и не обновляется до актуальной 12-ой версии, пишет что обновлений нет, и рядом установлена версия WebSite X5 Pro 2019.1.6, а в ней 12-ая версия этого же самого платного объекта, то есть они зарубили поддержку платных объектов к вышедшей менее полугода назад WebSite X5 Professional 17.1.2.

Читать больше
Размещено От К У
Aleksey K.
Aleksey K.
User

ну в таком случае если на 17 версии этот плагин будет работать и будет работать правильно то ничего страшного тут нет ... что в нем поддерживать если он исправен... дополнять и расширять функционал они не будут. а в версии 2019 он будет другой и не совместим из за сетки grid ... если плагин (10версии) можно удалить и установить заново ,в 17 версии , то тут разработчики правы 

Читать больше
Размещено От Aleksey K.
Pavel M.
Pavel M.
User
Лучший пользователь месяца RU

О чем крик то, я не понял) В новой версии поработали над движком, потому объекты в 17 версии уже не смогут получить свое обновление, которое рассчитано под новые параметры версии 2019.

Читать больше
Размещено От Pavel M.
К У
К У
User
Автор
Aleksey K.
ну в таком случае если на 17 версии этот плагин будет работать и будет работать правильно то ничего страшного тут нет ... что в нем поддерживать если он исправен... дополнять и расширять функционал они не будут. а в версии 2019 он будет другой и не совместим из за сетки grid ... если плагин (10версии) можно удалить и установить заново ,в 17 версии , то тут разработчики правы 


Сетка-Grid появилась в 17-ой версии, при этом кардинальной разницы между 17-той версией и версией 2019 нет, в версии 2109 только небольшие косметические моменты, и новый интерфейс, на этом все.

А теперь для тех, кто так и не понял сути проблемы - разница в функционале платного объекта Accordion Text между версиями 10 и 12 весьма существенная, при этом версия программы WebSite X5 Pro 2019.1.6 кривая и глючная, а версия WebSite X5 Professional 17.1.2 стабильная и вполне надежная, соответственно пока 2019 версию разработчики не допилят пользоваться ей для создания проектов не очень разумно, а в 17-ой версии платные объекты не обновляются, а значит в них не расширяется функционал и не убираются косяки и т.д.

Читать больше
Размещено От К У
Incomedia
Elisa B.
Incomedia

Hi everyone!

Please consider each update for the Optional Objects is compatible with certain versions of WebSite X5. For example, the latest v12 update for Accordion text, unfortunately, is not compatible with versions lower than WebSite X5 2019.1. Something similar happened to other Optional Objects available on the Marketplace as well-such as the v10 update for Full Calendar.

Please let me know if I can be of further help. I wish you a good day.

***** Google Translation:

Всем привет!

Обратите внимание, что каждое обновление для Необязательных объектов совместимо с определенными версиями WebSite X5. Например, последнее обновление v12 для текста Accordion, к сожалению, не совместимо с версиями ниже, чем WebSite X5 2019.1. Нечто подобное произошло и с другими Необязательными объектами, доступными на Торговой площадке, такими как обновление v10 для Полного календаря.

Пожалуйста, дайте мне знать, если я могу оказать дальнейшую помощь. Хорошего тебе дня.

 

Читать больше
Размещено От Elisa B.